Debian Bug report logs - #712407
ITP: libpgobject-perl -- A toolkit integrating intelligent PostgreSQL dbs into Perl objects

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Robert James Clay <jame@rocasa.us>

Date: Sat, 15 Jun 2013 17:06:13 UTC

Owned by: Robert James Clay <jame@rocasa.us>

Severity: wishlist

Fixed in version libpgobject-perl/1.400.1-1

Done: Robert James Clay <jame@rocasa.us>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#712407; Package wnpp. (Sat, 15 Jun 2013 17:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert James Clay <jame@rocasa.us>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sat, 15 Jun 2013 17:06:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: submit@bugs.debian.org
Subject: ITP: libpgobject-perl -- A toolkit integrating intelligent PostgreSQL dbs into Perl objects
Date: Sat, 15 Jun 2013 10:34:53 -0400
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libpgobject-perl
  Version         : 1.2
  Upstream Author : Chris Travers <chris.travers@gmail.com>
* URL or Web page : http://search.cpan.org/dist/PGObject/
* License         : BSD (2 clause)
  Description     : PGObject - A toolkit integrating intelligent
                    PostgreSQL dbs into Perl objects

PGObject contains the base routines for object management using
discoverable stored procedures in PostgreSQL databases. PGObject
contains only common functionality and support structures, and
low-level API's. Most developers will want to use more functional
modules which add to these functions.

The overall approach here is to provide the basics for a toolkit that
other modules can extend. This is thus intended to be a component for
building integration between PostgreSQL user defined functions and Perl
objects.

Because decisions such as state handling are largely outside of the
scope of this module, this module itself does not do any significant
state handling. Database handles (using DBD::Pg 2.0 or later) must be
passed in on every call. This decision was made in order to allow for
diversity in this area, with the idea that wrapper classes would be
written to implement this.



Robert James Clay
jame@rocasa.us
rjclay@gmail.com



Owner recorded as Robert James Clay <jame@rocasa.us>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 16 Jun 2013 08:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Robert James Clay <jame@rocasa.us>:
Bug#712407; Package wnpp. (Sun, 25 Aug 2013 11:03:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Robert J. Clay" <rjclay@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Robert James Clay <jame@rocasa.us>. (Sun, 25 Aug 2013 11:03:19 GMT) Full text and rfc822 format available.

Message #12 received at 712407@bugs.debian.org (full text, mbox):

From: "Robert J. Clay" <rjclay@gmail.com>
To: 223905@bugs.debian.org
Subject: Packaging work continues...
Date: Sun, 25 Aug 2013 07:00:14 -0400
I was offline for awhile but am now back; but I also just moved and am
still in the process of getting set back up again for development
work.  Packaging work will continue as that process gets resolved.


-- 
Robert J. Clay
jame@rocasa.us
rclay@gmail.com



Reply sent to Robert James Clay <jame@rocasa.us>:
You have taken responsibility. (Wed, 16 Apr 2014 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to Robert James Clay <jame@rocasa.us>:
Bug acknowledged by developer. (Wed, 16 Apr 2014 16:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 712407-close@bugs.debian.org (full text, mbox):

From: Robert James Clay <jame@rocasa.us>
To: 712407-close@bugs.debian.org
Subject: Bug#712407: fixed in libpgobject-perl 1.400.1-1
Date: Wed, 16 Apr 2014 16:00:08 +0000
Source: libpgobject-perl
Source-Version: 1.400.1-1

We believe that the bug you reported is fixed in the latest version of
libpgobject-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712407@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert James Clay <jame@rocasa.us> (supplier of updated libpgobject-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 14 Apr 2014 12:56:51 -0400
Source: libpgobject-perl
Binary: libpgobject-perl
Architecture: source all
Version: 1.400.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Robert James Clay <jame@rocasa.us>
Description: 
 libpgobject-perl - base class for PG Object subclasses
Closes: 712407
Changes: 
 libpgobject-perl (1.400.1-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #712407)
Checksums-Sha1: 
 19eb3b967e3568c9c52a5b7d1b5017c01d3446d0 2231 libpgobject-perl_1.400.1-1.dsc
 36df7d07a99525031b2a9874fb66c920758334a5 13315 libpgobject-perl_1.400.1.orig.tar.gz
 b848aa3f22ee7f79bb9fecf0c2f5758dabdf034c 2196 libpgobject-perl_1.400.1-1.debian.tar.xz
 5fd5ac0943ae6181bd65c35fcf9047807234b37c 17626 libpgobject-perl_1.400.1-1_all.deb
Checksums-Sha256: 
 9cc3d46b85906aeca20e5162ff93be055b35f6b8a396f5fcde1ebde622f6eb26 2231 libpgobject-perl_1.400.1-1.dsc
 2cf9f28cd15d95d7302c711dc39c5c0d5b76a89023578144cbb19808d688a577 13315 libpgobject-perl_1.400.1.orig.tar.gz
 08a80b522a5ac94ffd5ac2334965cb30540cb3e757c076a4cdddc219ccfdfb5c 2196 libpgobject-perl_1.400.1-1.debian.tar.xz
 2e38b0d05116ef6d3406623e8dec86208bf51e669be92073656da882e227eb91 17626 libpgobject-perl_1.400.1-1_all.deb
Files: 
 6d64f77bab1d0dc32da1b4d13e33d58c 2231 perl optional libpgobject-perl_1.400.1-1.dsc
 21a66e03943acd7ba386380aff86f735 13315 perl optional libpgobject-perl_1.400.1.orig.tar.gz
 2fccfea609c6fecbdb634f0407a0e09b 2196 perl optional libpgobject-perl_1.400.1-1.debian.tar.xz
 a1c678bba4b856c788f5d3291288c8ac 17626 perl optional libpgobject-perl_1.400.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJrBAEBCgBVBQJTTCOLThSAAAAAAB0AKGlzc3Vlci1mcHJAZ3BnLmNvbW9kby5w
cml2LmF0RDFFMTMxNkU5M0E3NjBBODEwNEQ4NUZBQkIzQTY4MDE4NjQ5QUEwNgAK
CRC7OmgBhkmqBsy4D/4wwH1z0UVYcf7n2GDeFrqt2rqZvNV/soa9scgAqxVr5b9d
X3bSXldUkUMZvrfA9BbNUH22eXDurWXZaZPJ5G2PF8aCWc/rorHwILan+7V6BXr7
guOkq+xqFdvGVRMXTBeIpzn2F9n2iZ4vIcrbJtCtkER2jlKGxx05uNmfXhSB01k1
c4KrwE5hxmC94PH4474UpPdIyswnl55w0VOgKR4H7C+dednE3VGih1IUOxpjj17z
oTpWYhtc3snQDRAXDyuwAuLiqCYUjJXn00nYAhLhHgM1FiObFXYWE5CPmEtCchmP
/xnfdPyxQQ4KgZs3HxRC0gDpD2vj/syfEZi0Be6ME7IaESVXRYRtYnRiN+6cwuno
Ramkq3k5XGGH4eknwYTdVaPd+naeLxjLpKdtyxZ9klC6CmqXih1+S6nn1YDUkkGz
xBJz4OseBz8qHCVjfKl3GKP5IrjOcj3h0LoNETf/I/5i/Dt3JmRPhsmwbpP1Vahc
a+JQB0xUPmQoOJtn0hQu6E6514/twWjD1GjjYxyayM6QO8U+54lYfO9m3ReURNIe
UFizCadMPqW/O12bJmv42+cFhJKNiJsbgqP8fZAiE0VFDTs4jq4JQpljEKdOxWTY
AV62MtuZHeVmdwsclprBFDHZxSBUAkMnbOcIwflt1Qxc2bHT/YX0jGnUu5MZEA==
=A5ON
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:56:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.